Subject: bug#43960:

From: Ludovic Courtès <[email-masked]>
Date: Thu, 15 Oct 2020 09:53:58 +0200

Hi,

Tobias Geerinckx-Rice <[email-masked]> skribis:

> Дмитрий Поляков 写道：
>> When I type with sudo:
>> lil@guix ~
>> $ sudo guix pull
>
> Never run ‘guix pull’ with sudo!
>
> Why is explained in the manual (3.7 After System Installation). While
> guix could detect and warn about it (and I'm sure that's already been
> proposed) you should always read the manual before typing commands.

I don’t think it’s a reasonable response: it’s a fact that we naturally
tend to read manuals sparsely, at best.

Since the pastes vanished, how did ‘sudo guix pull’ lead to incompatible
bytecode warnings?

Thanks,
Ludo’.